  Sketchup::require 'sketchup'
  Sketchup::require 'extensions'
  Sketchup::require 'json'
  Sketchup::require 'langhandler.rb'
  Sketchup::require 'fileutils.rb' if Sketchup.version.to_i >= 17
  Sketchup::require 'singleton' if Sketchup.version.to_i >= 17
  Sketchup::require  'base64'
  Sketchup::require  'tmpdir'
  Sketchup::require  'securerandom'
  Sketchup::require  'net/http'
  Sketchup::require  'openssl'
  Sketchup::require  'ostruct'
  
  current_path = __dir__.dup
  current_path.force_encoding('UTF-8') if current_path.respond_to?(:force_encoding)

  extension_file = __FILE__.dup
  extension_file.force_encoding('UTF-8') if extension_file.respond_to?(:force_encoding) 

  module Vms
    module Vmsextensions
      AM = LanguageHandler.new("Add_material_messages.strings").freeze
      AQ = LanguageHandler.new("Hardware_messages.strings").freeze
      TM = LanguageHandler.new("TenonMortise_messages.strings").freeze
      UM = LanguageHandler.new("Machining_messages.strings").freeze
      FD = LanguageHandler.new("Nomenclature_messages.strings").freeze
      PI = LanguageHandler.new("Piece_messages.strings").freeze
      PD = LanguageHandler.new("Profils_display_messages.strings").freeze
      RF = LanguageHandler.new("Reference_faces_messages.strings").freeze
      SR = LanguageHandler.new("Sym_and_rot_messages.strings").freeze
      LY = LanguageHandler.new("VMS_Up_Layout_messages.strings").freeze
      AS = LanguageHandler.new("Assemblies_messages.strings").freeze
      TA = LanguageHandler.new("Tongue_assembly_messages.strings").freeze

      PLUGIN = self
      VERSION = "1.0"
    end
  end

  unless file_loaded?(extension_file)

    extension_path = File.join(current_path,"BLB-bois_extensions","BLB-bois_extensions.rbe")
    if !File.exist? extension_path
       extension_path = File.join(current_path,"BLB-bois_extensions","BLB-bois_extensions.rb")
    end
    ext = SketchupExtension.new('BLB-bois_extensions',extension_path)
    ext.creator     = 'VMS, Inc.'
    ext.version     = Vms::Vmsextensions::VERSION
    ext.copyright   = '2021 VMS, Inc.'
    ext.description = 'BLB-bois et SketchUp'

    Sketchup.register_extension ext, true
  end

=begin

1.0
Nouvelle version

=end